<!DOCTYPE html>
<html>
<head>
	<title>Simon</title>
	<link rel="stylesheet" type="text/css" href="simon.css">		
</head>
<body>
	<nav>
		<p>Simon Game</p>
	</nav>
	<main>
		<section class="facile" id="facile">
			<button class="a color" id="btn1"><span class="pushed"></span></button>
			<button class="b color" id="btn2"><span class="pushed"></span></button>
			<button class="c color" id="btn3"><span class="pushed"></span></button>
			<button class="d color" id="btn4"><span class="pushed"></span></button>
		</section>
		<section class="moyen" id="moyen">
			<button class="a color" id="btn1"><span class="pushed"></span></button>
			<button class="e color" id="btn2"><span class="pushed"></span></button>
			<button class="b color" id="btn3"><span class="pushed"></span></button>
			<button class="c color" id="btn4"><span class="pushed"></span></button>
			<button class="f color" id="btn5"><span class="pushed"></span></button>
			<button class="d color" id="btn6"><span class="pushed"></span></button>
		</section>
		<section class="dur" id="dur">
			<button class="a color" id="btn1"><span class="pushed"></span></button>
			<button class="f color" id="btn2"><span class="pushed"></span></button>
			<button class="b color" id="btn3"><span class="pushed"></span></button>
			<button class="e color" id="btn4"><span class="pushed"></span></button>
			<button class="g color" id="btn5"><span class="pushed"></span></button>
			<button class="h color" id="btn6"><span class="pushed"></span></button>
			<button class="c color" id="btn7"><span class="pushed"></span></button>
			<button class="i color" id="btn8"><span class="pushed"></span></button>
			<button class="d color" id="btn9"><span class="pushed"></span></button>
		</section>
	</main>
		<section class="trois">
			<button class="start" id="sf">Facile</button>
			<button class="start" id="sm">Moyen</button>
			<button class="start" id="sd">Dur</button>
		</section>
	<script type="text/javascript">
		

		document.getElementById("facile").style.display="inherit";
		document.getElementById("moyen").style.display="none";
		document.getElementById("dur").style.display="none";

		document.getElementById("sf").addEventListener("click", facile);
		document.getElementById("sm").addEventListener("click", moyen);
		document.getElementById("sd").addEventListener("click", dur);

		function facile() {
			document.getElementById("facile").style.display="inherit";
			document.getElementById("moyen").style.display="none";
			document.getElementById("dur").style.display="none";
		}

		function moyen() {
			document.getElementById("facile").style.display="none";
			document.getElementById("moyen").style.display="inherit";
			document.getElementById("dur").style.display="none";
		}

		function dur() {
			document.getElementById("facile").style.display="none";
			document.getElementById("moyen").style.display="none";
			document.getElementById("dur").style.display="inherit";
		}

		var boutons = [document.getElementById("btn1"), document.getElementById("btn2"),document.getElementById("btn3"), document.getElementById("btn4"), document.getElementById("btn5"), document.getElementById("btn6"), document.getElementById("btn7"), document.getElementById("btn8"), document.getElementById("btn9")];

			var sequence = [];

		// 0 : initialisation
		for (var i = 0; i < 4; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 4)]);
		}
		
		// 1 : montrer au joueur les boutons choisis
		var courant = 0;
		function allumer() {

			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
			}
		}

		function tourJoueur() {
			// écouter les clics
			for (var i = 0; i < boutons.length; i++) {
				boutons[i].addEventListener("click", verif);
			}
			// cmparer avec la sequence
			function verif() {
				if (this != sequence[courant])
					// perdu
					sequence = [];
					courant = 0;
					console.log("perdu !");
					
				} else {
					// bon bouton
					courant++;

			}
			// si c'est tout bon, nouveau round
		}

		allumer();


	</script>
</body>
</html>